CHGTINFO(1)

NAME
chgtinfo - create a temporary version of a terminfo entry

SYNOPSIS
TERMINFO=`chgtinfo modifications`
export TERMINFO

DESCRIPTION
One of the touted drawbacks of terminfo has been that one could not create a temporary modification of a terminfo entry. Chgtinfo permits the user to make such modifications.

The modifications are actual terminfo source statements and are passed on to tic for compilation. The new terminfo directory tree is printed out so that it may be assigned to $TERMINFO . Any programs run subsequent to this assignment will make use of the modified terminfo entry instead of the original terminfo entry.

EXAMPLE
    TERMINFO=`chgtinfo xhp, smso=\[3m, smul@,`
    export TERMINFO

This will add the xhp boolean variable, change or add the smso string variable, and remove the smul string variable from the current terminfo entry.

FILES

/usr/tmp/tinfo*
    temporary directories and files holding modified terminfo entry